<?php
/**
*
* Контроллер магазина (главной части)
*
* Файлы хранятся:
* \controller\general\
* \template\general\
*
*/
if (!defined("CHECK")) die( header('Location: /404/') );

$db = $this->info_db;
$cost = $this->info_cost;
$moderators = $this->info_moderators;

// Если не передан, то отправляем на main
if (empty($_GET['page'])):
	$_GET['page'] = 'main';
	$page = 'main';
endif;
// Если не передан, то отправляем на main

// Проверяем фильтром пришедшие данные
$check_page = new filter();
if (empty($page)):
	$page = $check_page->check('page','get','regexp','~^[a-z]{1,20}$~');
endif;
// Проверяем фильтром пришедшие данные

// Парсим курс доллара
/*$valute = '';
$course = @simplexml_load_file("http://www.cbr.ru/scripts/XML_daily.asp?date_req=".date("d/m/Y"));
if ($course):
	$xml = $course->xpath("//Valute[@ID='R01235']");
	$valute = strval($xml[0]->Value);
	$valute = str_replace(',', '.', $valute);
	$valute = number_format($valute, 2, '.', '');
endif;
	if ($valute > 30 and $valute < 60):
		$cost['dollar'] = $valute;
	else:
		$cost['dollar'] = $cost['dollar'];
	endif;*/
// Парсим курс доллара

// Подгружаем нужный субконтроллер
if ($page):
	$sub_controller = $_SERVER["DOCUMENT_ROOT"].'/controller/general/'.$page.'.php';
	if (file_exists($sub_controller)):
		require $sub_controller;
	else:
		//Суб контроллер не найден
		header('Location: /');
		exit;
	endif;
else:
	//Суб контроллер не найден
	header('Location: /');
	exit;
endif;
// Подгружаем нужный субконтроллер

// Формируем меню
if (empty($_SESSION['auth'])):
	$arr = $this->info_menu_no_auth;
else:
	$arr = $this->info_menu_auth;
endif;

$mnu = new menu();
$this->menu = $mnu->gen($arr,'page');
// Формируем меню