<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Добавление товара';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

$tk = new token();
$check_values = new filter();


$get_shop = $db->row("SELECT * FROM shop WHERE domain = ? AND id_user = ?", array($_GET['shop'], $_SESSION['auth']['id']));



// Создаём товар
if (
	!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	!empty($_POST['title']) and 
	$check_values->check('price_rub','post','float',array('min' => 1, 'max' => 100000)) and 
	$check_values->check('price_wmz','post','float',array('min' => 1, 'max' => 100000)) and 
	$check_values->check('min_count','post','float',array('min' => 1, 'max' => 100000))
	):


	// Проверяем иконку
	if ($check_values->check('icon','post','regexp','~^[A-Za-z0-9_-]{1,20}$~')):
		$ico = $_POST['icon'];
	else:
		$ico = null;
	endif;
	// Проверяем иконку

	// Проверяем комментарий
	if (!empty($_POST['description'])):
		$description = htmlentities($_POST['description'], ENT_QUOTES, "UTF-8");
	else:
		$description = null;
	endif;
	// Проверяем комментарий

	// Определяем максимальную позицию товара
	$position_shop = $db->row("SELECT max(position) as max FROM goods WHERE id_shop = ?", array($get_shop['id']));
	if (!$position_shop):
		$position_sh = 0;
	else:
		$position_sh = $position_shop['max'] + 1;
	endif;
	// Определяем максимальную позицию товара

	// Определяем максимальную позицию сепаратора
	$position_separator = $db->row("SELECT max(position) as max FROM separators WHERE id_shop = ?", array($get_shop['id']));
	if (!$position_separator):
		$position_sep = 0;
	else:
		$position_sep = $position_separator['max'] + 1;
	endif;
	// Определяем максимальную позицию сепаратора

	if ($position_sh >= $position_sep):
		$position = $position_sh;
	else:
		$position = $position_sep;
	endif;

	$insert_goods = $db->insert("INSERT INTO goods (id_shop, name, cost_rub, cost_usd, min_count, ico, description, position) VALUES (?, ?, ?, ?, ?, ?, ?, ?)", array($get_shop['id'], $_POST['title'], $_POST['price_rub'], $_POST['price_wmz'], $_POST['min_count'], $ico, $description, $position));


	// Записываем загруженный товар
	foreach ($_FILES as $key => $value):
		
		if ($value['type'] == 'text/plain' and $value['error'] == 0):
			$file = file($value['tmp_name']);

			foreach ($file as $key => $value):
				$value = str_replace("\r\n",'',$value);
				$value = str_replace("\n",'',$value);
				if (!empty($value)):
					$insert_goods_object = $db->insert("INSERT INTO goods_object (id_goods, text) VALUES (?, ?)", array($insert_goods, $value));
				endif;
			endforeach;

		endif;

	endforeach;
	// Записываем загруженный товар


header('Location: /shops/settings/'.$_GET['shop'].'/goods/');

endif;
// Создаём товар









$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/shop/goodsadd.tpl';