<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Редактирование товара';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

if (empty($_GET['id'])):
	header('Location: /shops/settings/'.$_GET['shop'].'/goods/');
	exit;
endif;

$tk = new token();
$check_values = new filter();


$get_shop = $db->row("SELECT * FROM shop WHERE domain = ? AND id_user = ?", array($_GET['shop'], $_SESSION['auth']['id']));

$get_good = $db->row("SELECT * FROM goods WHERE id = ? AND id_shop = ?", array($_GET['id'], $get_shop['id']));

// Редактируем товар
if (
	!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	!empty($_POST['title']) and 
	$check_values->check('price_rub','post','float',array('min' => 1, 'max' => 100000)) and 
	$check_values->check('price_wmz','post','float',array('min' => 1, 'max' => 100000)) and 
	$check_values->check('min_count','post','float',array('min' => 1, 'max' => 100000))
	):


	// Проверяем иконку
	if ($check_values->check('icon','post','regexp','~^[A-Za-z0-9_-]{1,20}$~')):
		$ico = $_POST['icon'];
	else:
		$ico = null;
	endif;
	// Проверяем иконку

	// Проверяем комментарий
	if (!empty($_POST['description'])):
		$description = htmlentities($_POST['description'], ENT_QUOTES, "UTF-8");
	else:
		$description = null;
	endif;
	// Проверяем комментарий


	$update_goods = $db->update("UPDATE goods SET name = ?, cost_rub = ?, cost_usd = ?, min_count = ?, ico = ?, description = ? WHERE id = ?", array($_POST['title'], $_POST['price_rub'], $_POST['price_wmz'], $_POST['min_count'], $ico, $description,$_GET['id']));

	if ($update_goods):
		header('Location: /shops/settings/'.$_GET['shop'].'/goods/');
	else:
		echo "Ошибка обновления";
		exit;
	endif;

endif;
// Редактируем товар





$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/shop/goodsedit.tpl';