<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Статистика вашего магазина';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

$get_shop = $db->row("SELECT * FROM shop WHERE domain = ? AND id_user = ?", array($_GET['shop'], $_SESSION['auth']['id']));


$get_stat_full_rub = $db->row("SELECT sum(sum) as sum FROM orders WHERE id_shop = ? AND method != 'wmz' AND status = 'Оплачен'", array($get_shop['id']));
if (!$get_stat_full_rub['sum']):
	$get_stat_full_rub['sum'] = 0;
endif;

$get_stat_full_usd = $db->row("SELECT sum(sum) as sum FROM orders WHERE id_shop = ? AND method = 'wmz' AND status = 'Оплачен'", array($get_shop['id']));
if (!$get_stat_full_usd['sum']):
	$get_stat_full_usd['sum'] = 0;
endif;


$get_stat_mounth_rub = $db->row("SELECT SUM(orders.sum) AS sum FROM orders WHERE orders.id_shop = ? AND orders.method != 'wmz' AND orders.status = 'Оплачен' AND ADDDATE(orders.date, INTERVAL 30 DAY) > CURDATE()", array($get_shop['id']));
if (!$get_stat_mounth_rub['sum']):
	$get_stat_mounth_rub['sum'] = 0;
endif;

$get_stat_mounth_usd = $db->row("SELECT SUM(orders.sum) AS sum FROM orders WHERE orders.id_shop = ? AND orders.method = 'wmz' AND orders.status = 'Оплачен' AND ADDDATE(orders.date, INTERVAL 30 DAY) > CURDATE()", array($get_shop['id']));
if (!$get_stat_mounth_usd['sum']):
	$get_stat_mounth_usd['sum'] = 0;
endif;


$get_stat_day_rub = $db->row("SELECT SUM(orders.sum) AS sum FROM orders WHERE orders.id_shop = ? AND orders.method != 'wmz' AND orders.status = 'Оплачен' AND ADDDATE(orders.date, INTERVAL 1 DAY) > CURDATE()", array($get_shop['id']));
if (!$get_stat_day_rub['sum']):
	$get_stat_day_rub['sum'] = 0;
endif;

$get_stat_day_usd = $db->row("SELECT SUM(orders.sum) AS sum FROM orders WHERE orders.id_shop = ? AND orders.method = 'wmz' AND orders.status = 'Оплачен' AND ADDDATE(orders.date, INTERVAL 1 DAY) > CURDATE()", array($get_shop['id']));
if (!$get_stat_day_usd['sum']):
	$get_stat_day_usd['sum'] = 0;
endif;


// Посещаемость
$date_now = date('Y.m.d');
$get_stat_day_visit_now = $db->row("SELECT COUNT(statistics.ip) AS count_visitors, SUM(statistics.count) AS sum_visits FROM statistics WHERE statistics.id_shop = ? AND statistics.date = ?", array($get_shop['id'], $date_now));
if (!$get_stat_day_visit_now['count_visitors']):
	$get_stat_day_visit_now['count_visitors'] = 0;
	$get_stat_day_visit_now['sum_visits'] = 0;
endif;

$date_yesterday = date('Y.m.d',strtotime("-1 days"));
$get_stat_day_visit_yesterday = $db->row("SELECT COUNT(statistics.ip) AS count_visitors, SUM(statistics.count) AS sum_visits FROM statistics WHERE statistics.id_shop = ? AND statistics.date = ?", array($get_shop['id'], $date_yesterday));
if (!$get_stat_day_visit_yesterday['count_visitors']):
	$get_stat_day_visit_yesterday['count_visitors'] = 0;
	$get_stat_day_visit_yesterday['sum_visits'] = 0;
endif;

$date_week = date('Y.m.d',strtotime("-7 days"));
$get_stat_day_visit_week = $db->row("SELECT COUNT(statistics.ip) AS count_visitors, SUM(statistics.count) AS sum_visits FROM statistics WHERE statistics.id_shop = ? AND statistics.date > ?", array($get_shop['id'], $date_week));
if (!$get_stat_day_visit_week['count_visitors']):
	$get_stat_day_visit_week['count_visitors'] = 0;
	$get_stat_day_visit_week['sum_visits'] = 0;
endif;

$date_mounth = date('Y.m.d',strtotime("-30 days"));
$get_stat_day_visit_mounth = $db->row("SELECT COUNT(statistics.ip) AS count_visitors, SUM(statistics.count) AS sum_visits FROM statistics WHERE statistics.id_shop = ? AND statistics.date > ?", array($get_shop['id'], $date_mounth));
if (!$get_stat_day_visit_mounth['count_visitors']):
	$get_stat_day_visit_mounth['count_visitors'] = 0;
	$get_stat_day_visit_mounth['sum_visits'] = 0;
endif;

$get_stat_day_visit_all = $db->row("SELECT COUNT(statistics.ip) AS count_visitors, SUM(statistics.count) AS sum_visits FROM statistics WHERE statistics.id_shop = ?", array($get_shop['id']));
if (!$get_stat_day_visit_all['count_visitors']):
	$get_stat_day_visit_all['count_visitors'] = 0;
	$get_stat_day_visit_all['sum_visits'] = 0;
endif;
// Посещаемость


require $_SERVER["DOCUMENT_ROOT"].'/template/general/shop/statistics.tpl';