<?php
if (!defined("CHECK")) die( header('Location: /404/') );
if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

// Проверяем фильтром пришедшие данные
$check_page = new filter();
$page = $check_page->check('page2','get','regexp','~^[a-z]{1,20}$~');
// Проверяем фильтром пришедшие данные

if (!$page):
	$this->title = 'Мои магазины и счета';

	// Удаление всех не оплаченных заявок в течении 24-ёх часов
	$deleterow_reg = $db->delete("DELETE FROM shop_payments WHERE status = ? AND DATE_ADD(timestamp, INTERVAL 1 DAY) < CURDATE()", array("Не оплачен"));
	// Удаление всех не оплаченных заявок в течении 24-ёх часов

	$get_shops = $db->rows("SELECT * FROM shop WHERE id_user = ?", array("replace" => array($_SESSION['auth']['id'])));
	$get_payments = $db->rows("SELECT * FROM shop_payments WHERE id_user = ? ORDER BY id DESC LIMIT 10", array("replace" => array($_SESSION['auth']['id'])));
	require $_SERVER["DOCUMENT_ROOT"].'/template/general/shops.tpl';
else:
	$tpl = new template();

	// Передаём параметры скрипту
	$tpl->info_db = $this->info_db;
	$tpl->info_icons = $this->info_icons;
	$tpl->info_cost = $this->info_cost;
	$tpl->info_menu_shop = $this->info_menu_shop;
	// Передаём параметры скрипту

	$tpl->controller = $tpl->controller("general_shop");
	$tpl->template = $tpl->template("template_general_shop");
	$this->title = $tpl->title; // Передаём TITLE выше
	echo $tpl->template;
endif;