<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Продление срока аренды';


if (empty($_SESSION['auth']) or empty($_GET['domain'])):
	header('Location: /auth/');
	exit;
endif;

$err[0] = '';
$err[1] = '';

$tk = new token();
$check_values = new filter();


$get_user = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));

$get_shop = $db->row("SELECT * FROM shop WHERE domain = ? AND id_user = ?", array($_GET['domain'], $_SESSION['auth']['id']));

// Если не существует такого магазина у этого пользователя
if (empty($get_shop)):
	header('Location: /shops/');
	exit;
endif;
// Если не существует такого магазина у этого пользователя


// Продление
if (
	!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	$check_values->check('period','post','int',array('min' => 1, 'max' => 12)) and 
	$check_values->check('paymethod','post','regexp','~^(wmr)|(wmz)|(qiwi)|(balance)|(freekassa)$~') and 
	$_GET['domain'] != 'domain'
	):


	if (WM_PAY != 1 and ($_POST['paymethod'] == 'wmz' or $_POST['paymethod'] == 'wmr')):
		header('Location: /');
		exit;
	endif;

	if (QIWI_PAY != 1 and $_POST['paymethod'] == 'qiwi'):
		header('Location: /');
		exit;
	endif;

	if (FREEKASSA_PAY != 1 and $_POST['paymethod'] == 'freekassa'):
		header('Location: /');
		exit;
	endif;

	// Рассчёт стоимости
	if ($_POST['period'] > 0 and $_POST['period'] < 3):
		$cost_per_mounth = $cost[1];
	elseif ($_POST['period'] > 2 and $_POST['period'] < 6):
		$cost_per_mounth = $cost[3];
	elseif ($_POST['period'] > 5):
		$cost_per_mounth = $cost[6];
	endif;

	$cost_per_count = $cost_per_mounth * $_POST['period'];

	if ($_POST['paymethod'] == 'wmr' or $_POST['paymethod'] == 'qiwi' or $_POST['paymethod'] == 'balance' or $_POST['paymethod'] == 'freekassa'):
		$sum = number_format($cost_per_count, 2, '.', '');
	elseif ($_POST['paymethod'] == 'wmz'):
		$sum = number_format($cost_per_count / $cost['dollar'], 2, '.', '');
	endif;
	// Рассчёт стоимости





		if ($_POST['paymethod'] == 'balance'):

			$get_user = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));

			if ($get_user['balance'] > $sum):

				// Создаём магазин
					// Достаём информацию о магазине по заявке
						$get_shop = $db->row("SELECT * FROM shop WHERE domain = ?", array($_GET['domain']));
						if (!$get_shop):
							exit;
						endif;
					// Достаём информацию о магазине по заявке


					// Списываем сумму с баланса
						$new_user_balance = $get_user['balance'] - $sum;
						$db->update("UPDATE user SET balance = ? WHERE id = ?", array($new_user_balance, $_SESSION['auth']['id']));
					// Списываем сумму с баланса

					// Создаём оплаченную заявку
						$insertrow = $db->insert("INSERT INTO shop_payments (id_user, count, sum, type, status, domain, paymethod) VALUES (?, ?, ?, ?, ?, ?, ?)", array($_SESSION['auth']['id'], $_POST['period'], $sum, 'Продление', 'Оплачен', $_GET['domain'], $_POST['paymethod']));
					// Создаём оплаченную заявку

					// Ищем реферала, если есть, то ставим на аккаунт "Оплачено"
						// При оплате с балансе реферальские деньги не начисляем
						// Оплата через платёжки происходит в 'ajax/checkpay.php'
						$get_refs = $db->row("SELECT * FROM user_referal WHERE id_user_newreg = ? AND status = 'new'", array($_SESSION['auth']['id']));
						if ($get_refs):
							$db->update("UPDATE user_referal SET status = 'payed' WHERE id = ?", array($get_refs['id']));
						endif;
					// Ищем реферала, если есть, то ставим на аккаунт "Оплачено"

					// Рассчитываем время окончания аренды магазина
						if (strtotime($get_shop['date']) > time()):
							$date = strtotime($get_shop['date']);
						else:
							$date = time();
						endif;

						$sec_per_month = date("t")*86400;
						$sec_per_all_mounths = $sec_per_month * $_POST['period'];
						$final_date = date("Y-m-d H:i:s",$date + $sec_per_all_mounths);
					// Рассчитываем время окончания аренды магазина

						$db->update("UPDATE shop SET date = '$final_date' WHERE domain = ?", array($get_shop['domain']));
						header('Location: /shops/');
						exit;
				// Создаём магазин
			endif;


		else:
			$insertrow = $db->insert("INSERT INTO shop_payments (id_user, count, sum, type, status, domain, paymethod) VALUES (?, ?, ?, ?, ?, ?, ?)", array($_SESSION['auth']['id'], $_POST['period'], $sum, 'Продление', 'Не оплачен', $_GET['domain'], $_POST['paymethod']));
			header('Location: /shops/order/'.$insertrow.'/');
			exit;
		endif;

endif;
// Продление


$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/shopsprolongation.tpl';