<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Система технической поддержки';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;


if (in_array($_SESSION['auth']['id'], $moderators)):
	header('Location: /tickets/admin/');
	exit;
endif;



$active_tickets_list_req = $db->rows("SELECT * FROM tickets WHERE id_user = ? AND status = 'Открыт' ORDER BY id DESC", array("replace" => array($_SESSION['auth']['id'])));

foreach ($active_tickets_list_req as $key => $value) {
	$active_tickets_count_messages = $db->rows("SELECT * FROM tickets_messages WHERE id_tickets = ? ORDER BY id DESC", array("replace" => array($value['id'])));
	$active_tickets_list[$value['id']] = $value;
	$active_tickets_list[$value['id']]['count_messages'] = count($active_tickets_count_messages)+1;
	if ($active_tickets_list[$value['id']]['count_messages'] != 1):
		$active_tickets_list[$value['id']]['last_messages_date'] = $active_tickets_count_messages[0]['date'];
		if ($active_tickets_count_messages[0]['type'] == 'Модератор'):
			$active_tickets_list[$value['id']]['new_answer'] = 'yes';
		endif;

	endif;
}

$closed_tickets_list_req = $db->rows("SELECT * FROM tickets WHERE id_user = ? AND status = 'Закрыт' ORDER BY id DESC", array("replace" => array($_SESSION['auth']['id'])));

foreach ($closed_tickets_list_req as $key => $value) {
	$closed_tickets_count_messages = $db->rows("SELECT * FROM tickets_messages WHERE id_tickets = ? ORDER BY id DESC", array("replace" => array($value['id'])));
	$closed_tickets_list[$value['id']] = $value;
	$closed_tickets_list[$value['id']]['count_messages'] = count($closed_tickets_count_messages)+1;
	if ($closed_tickets_list[$value['id']]['count_messages'] != 1):
		$closed_tickets_list[$value['id']]['last_messages_date'] = $closed_tickets_count_messages[0]['date'];
	endif;
}


require $_SERVER["DOCUMENT_ROOT"].'/template/general/tickets.tpl';