<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Система технической поддержки';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

if (!in_array($_SESSION['auth']['id'], $moderators)):
	header('Location: /tickets/');
	exit;
endif;



// Вопросы на которые ещё никто не отвечал
$new_tickets_list_req = $db->rows("SELECT * FROM tickets WHERE status = ? ORDER BY id DESC", array("replace" => array('Открыт')));
foreach ($new_tickets_list_req as $key => $value) {
	$new_tickets_count_messages = $db->rows("SELECT * FROM tickets_messages WHERE id_tickets = ? ORDER BY id DESC", array("replace" => array($value['id'])));

	if (count($new_tickets_count_messages) == 0):
		$new_tickets_list[$value['id']] = $value;
	endif;
}
// Вопросы на которые ещё никто не отвечал



// Вопросы с последним сообщением от пользователя
$active_tickets_list_req = $db->rows("SELECT * FROM tickets WHERE status = ? ORDER BY id DESC", array("replace" => array('Открыт')));
foreach ($active_tickets_list_req as $key => $value) {
	$active_tickets_count_messages = $db->rows("SELECT * FROM tickets_messages WHERE id_tickets = ? ORDER BY id DESC", array("replace" => array($value['id'])));

	$active_tickets_list[$value['id']] = $value;
	$active_tickets_list[$value['id']]['count_messages'] = count($active_tickets_count_messages)+1;
	if ($active_tickets_list[$value['id']]['count_messages'] > 1 and !empty($active_tickets_count_messages[0]) and $active_tickets_count_messages[0]['type'] == 'Пользователь'):
		$active_tickets_list[$value['id']]['last_messages_date'] = $active_tickets_count_messages[0]['date'];
	else:
		unset($active_tickets_list[$value['id']]);
	endif;
}
// Вопросы с последним сообщением от пользователя


// Вопросы на которые уже дан ответ, но не закрыт
$answered_tickets_list_req = $db->rows("SELECT * FROM tickets WHERE status = ? ORDER BY id DESC", array("replace" => array('Открыт')));
foreach ($answered_tickets_list_req as $key => $value) {
	$answered_tickets_count_messages = $db->rows("SELECT * FROM tickets_messages WHERE id_tickets = ? ORDER BY id DESC", array("replace" => array($value['id'])));

	$answered_tickets_list[$value['id']] = $value;
	$answered_tickets_list[$value['id']]['count_messages'] = count($answered_tickets_count_messages)+1;
	if ($answered_tickets_list[$value['id']]['count_messages'] > 1 and !empty($answered_tickets_count_messages[0]) and $answered_tickets_count_messages[0]['type'] == 'Модератор'):
		$answered_tickets_list[$value['id']]['last_messages_date'] = $answered_tickets_count_messages[0]['date'];
	else:
		unset($answered_tickets_list[$value['id']]);
	endif;
}
// Вопросы на которые уже дан ответ, но не закрыт


// Закрытые вопросы
$closed_tickets_list_req = $db->rows("SELECT * FROM tickets WHERE status = ? ORDER BY id DESC LIMIT 50", array("replace" => array('Закрыт')));
foreach ($closed_tickets_list_req as $key => $value) {
	$closed_tickets_count_messages = $db->rows("SELECT * FROM tickets_messages WHERE id_tickets = ? ORDER BY id DESC", array("replace" => array($value['id'])));
	$closed_tickets_list[$value['id']] = $value;
	$closed_tickets_list[$value['id']]['count_messages'] = count($closed_tickets_count_messages)+1;
	if ($closed_tickets_list[$value['id']]['count_messages'] != 1):
		$closed_tickets_list[$value['id']]['last_messages_date'] = $closed_tickets_count_messages[0]['date'];
	else:
		//unset($closed_tickets_list[$value['id']]); // Удаляем из вывода все запросы в которых нету комментариев
	endif;
}
// Закрытые вопросы

require $_SERVER["DOCUMENT_ROOT"].'/template/general/ticketsadmin.tpl';