<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Настройки профиля';


if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

$err[0] = '';

$tk = new token();

$check_values = new filter();
$pw = new password();

$get_user = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));

// Выборка списка авторизаций
$get_auth = $db->rows("SELECT * FROM logs_auth WHERE id_user = ? ORDER BY id DESC LIMIT 10", array("replace" => array($get_user['id'])));
// Выборка списка авторизаций

// Обновление контактных данных
if (
	!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	$check_values->check('icq','post','regexp','~^[A-Za-z0-9]{4,20}$~')
	):

	$db->update("UPDATE user SET contacts = ? WHERE id = ?", array($_POST['icq'], $_SESSION['auth']['id']));
	$err[0] = '<div class="success">Контактные данные успешно изменены</div>';

endif;
// Обновление контактных данных


// Обновление пароля
if (
	!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	$check_values->check('password','post','regexp','~^[A-Za-z0-9]{4,20}$~') and 
	$check_values->check('newpassword','post','regexp','~^[A-Za-z0-9]{4,20}$~') and 
	$check_values->check('newpassword2','post','regexp','~^[A-Za-z0-9]{4,20}$~')
	):


	if (
		$pw->check($_POST['password'],$get_user['password']) and 
		$_POST['newpassword'] == $_POST['newpassword2']
		):

		$db->update("UPDATE user SET password = ? WHERE id = ?", array($pw->gen($_POST['newpassword']), $_SESSION['auth']['id']));
		$err[0] = '<div class="success">Пароль успешно изменён</div>';
	else:
		$err[0] = '<div class="error-block">Старый пароль не верен или новые пароли не совпадают</div>';
	endif;

endif;
// Обновление пароля

$get_user = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));


$get_count = $db->rows("SELECT * FROM user_referal WHERE id_user_ownerreg = ?", array("replace" => array($_SESSION['auth']['id'])));
$count_refs = count($get_count); // Количество рефералов
$get_count_payed = $db->rows("SELECT * FROM user_referal WHERE id_user_ownerreg = ? AND status = 'payed'", array("replace" => array($_SESSION['auth']['id'])));
$count_refs_payed = count($get_count_payed); // Количество рефералов оплативших услуги





$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/profile.tpl';