<?php
/**
*
* Контроллер главной страницы самого магазина
*
*
*
*/
if (!defined("CHECK")) die( header('Location: /404/') );

$db = $this->info_db;


// Определение пришедшего домена, проверка на существование
if ($this->domain['type'] == 'project_subdomain'):
	$get_shop = $db->row("SELECT * FROM shop WHERE domain = ?", array($this->domain['domain']));
elseif ($this->domain['type'] == 'user_domain'):
	$get_domain_shop = $db->row("SELECT * FROM shop_domain WHERE domain = ?", array($this->domain['domain']));

	if ($get_domain_shop):
		$get_shop = $db->row("SELECT * FROM shop WHERE id = ?", array($get_domain_shop['id_shop']));
	else:

		$IDN = new idna_convert();
		$get_domain_shop = $db->row("SELECT * FROM shop_domain WHERE domain = ?", array($IDN->decode($this->domain['domain'])));
		if ($get_domain_shop):
		$get_shop = $db->row("SELECT * FROM shop WHERE id = ?", array($get_domain_shop['id_shop']));
		else:
			header('Location: http://'.DOMAIN.'/');
			exit;
		endif;
		
	endif;

else:
	header('Location: http://'.DOMAIN.'/');
	exit;
endif;
// Определение пришедшего домена, проверка на существование



// Проверку на существование магазина
if (!$get_shop):
	header('Location: http://'.DOMAIN.'/');
	exit;
endif;


$get_template = $db->row("SELECT * FROM template WHERE id_shop = ?", array($get_shop['id']));
$this->tpl_info = $get_template;

// Проверяем фильтром пришедшие данные
$check_page = new filter();
$page = $check_page->check('shop_page','get','regexp','~^[a-z]{1,20}$~');
// Проверяем фильтром пришедшие данные

// Подгружаем нужный субконтроллер
if ($page):

	$sub_controller = $_SERVER["DOCUMENT_ROOT"].'/controller/shop/'.$page.'.php';

	if (file_exists($sub_controller)):
		require $sub_controller;
	else:
		//Суб контроллер не найден
		header('Location: /');
		exit;
	endif;

else:
	require $_SERVER["DOCUMENT_ROOT"].'/controller/shop/main.php';
endif;
// Подгружаем нужный субконтроллер