    <h1>Товары</h1>

<div class="buttons">
    <a class="button" style="background-color: #FF9900;" href="/shops/settings/<?=$_GET['shop']?>/goods/add/">Добавить товар</a>
    <a class="button right" style="background-color: #FF9900;" href="/shops/settings/<?=$_GET['shop']?>/separator/add/" id="separator_add">Добавить разделитель</a>
</div>

<?php if (empty($items)): ?>

<h6>Товаров нет</h6>

<?php else: ?>

    <script>
        $(document).ready(function(){
            $('#sortable tbody').sortable({ opacity: 0.6, cursor: 'move',
                update: function(event, ui) {
                    var newOrder = $(this).sortable("serialize");
                    $.post('/shops/settings/<?=$_GET['shop']?>/goods/sortable/', newOrder);
                }
            });
        });
    </script>
    <table class="goods" id="sortable">
        <thead>
            <tr>
                <th style="color:#5f5f5f">ID</th>
                <th style="color:#5f5f5f">Название</th>
                <th style="color:#5f5f5f">Кол-во</th>
                <th style="color:#5f5f5f">Рубль</th>
                <th style="color:#5f5f5f">Доллар</th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
            </tr>
        </thead>

        <tbody>

<?php foreach ($items as $key => $value): ?>

    <?php if (empty($value['cost_rub'])): ?>
                <tr id="position_separator<?=$value['id']?>">
                    <td colspan="10" style="color:#5f5f5f" class="separator"><?=$value['name']?></td>
                    <td><a href="/shops/settings/<?=$_GET['shop']?>/separator/remove/" data-id="<?=$value['id']?>" class="remove_separator"><img src="/style/general/images/icons/goods.remove.png" alt="Удалить разделитель" class="icon" /></a></td>
                </tr>
    <?php else: ?>
                <tr id="position_<?=$value['id']?>">
                    <td style="color:#5f5f5f"><?=$value['id']?></td>
                    <td style="color:#5f5f5f" class="title"><?=$value['name']?><div class="icon_social_<?=$value['ico']?>"></div></td>
                    <td style="color:#5f5f5f"><?=$value['count']?></td>
                    <td style="color:#5f5f5f"><?=$value['cost_rub']?> руб.</td>
                    <td style="color:#5f5f5f"><?=$value['cost_usd']?> $</td>
                    <td><a href="/shops/settings/<?=$_GET['shop']?>/goods/edit/<?=$value['id']?>/" data-tooltip="Изменить"><img src="/style/general/images/icons/goods.edit.png" alt="Изменить" class="icon" /></a></td>
                    <td><a href="/shops/settings/<?=$_GET['shop']?>/goods/fill/<?=$value['id']?>/" data-tooltip="Добавить аккаунты"><img src="/style/general/images/icons/goods.add.png" alt="Добавить аккаунты" class="icon add" /></a></td>
                    <td><a href="/shops/settings/<?=$_GET['shop']?>/goods/download/<?=$value['id']?>/" data-tooltip="Скачать аккаунты"><img src="/style/general/images/icons/goods.download.png" alt="Скачать аккаунты" class="icon download" /></a></td>
                    <td><a href="/shops/settings/<?=$_GET['shop']?>/goods/downloadN/<?=$value['id']?>/" data-tooltip="Скачать N аккаунтов" class="downloadN"><img src="/style/general/images/icons/goods.downloadN.png" alt="Скачать N аккаунтов" class="icon downloadn" /></a></td>
                    <td><a href="/shops/settings/<?=$_GET['shop']?>/goods/clean/<?=$value['id']?>/" data-tooltip="Очистить" onclick="if (!confirm('Вы уверены что хотите очистить все аккаунты?\nВосстановить будет невозможно.')) return false;"><img src="/style/general/images/icons/goods.clean.png" alt="Очистить" class="icon" /></a></td>
                    <td><a href="/shops/settings/<?=$_GET['shop']?>/goods/remove/<?=$value['id']?>/" data-tooltip="Удалить товар" onclick="if (!confirm('Вы уверены что хотите удалить товар?\nВсе аккаунты также будут удалены.')) return false;"><img src="/style/general/images/icons/goods.remove.png" alt="Удалить товар" class="icon" /></a></td>
                </tr>
    <?php endif; ?>

<?php endforeach; ?>

        </tbody>
    </table>

<?php endif;?>