<?php
if (!defined("CHECK")) die( header('Location: /404/') );
/**
*        Класс обработки ошибок
*
*        $err = new error();
*        
*        $error = (!empty($_SERVER['REDIRECT_STATUS'])) ? $err->status($_SERVER['REDIRECT_STATUS']) : $err->status(200);
*
*        Принимает Status code, возвращает true, если всё удачно, иначе текст ошибки
*
*/

	class error
	{
		
		function status($code) {
			if ($code == 200) return true;

			$codes = array(
			       400 => array('400', 'Плохой запрос', 'Запрос не может быть обработан из-за синтаксической ошибки.'),
			       403 => array('403', 'Запрещено', 'Сервер отказывает в выполнении вашего запроса.'),
			       404 => array('404', 'Страница не найдена', 'Запрашиваемая страница не найдена на сервере.'),
			       405 => array('405', 'Метод не допускается', 'Указанный в запросе метод не допускается для заданного ресурса.'),
			       408 => array('408', 'Время ожидания истекло', 'Ваш браузер не отправил информацию на сервер за отведенное время.'),
			       500 => array('500', 'Внутренняя ошибка сервера', 'Запрос не может быть обработан из-за внутренней ошибки сервера.'),
			       502 => array('502', 'Плохой шлюз', 'Сервер получил неправильный ответ при попытке передачи запроса.'),
			       504 => array('504', 'Истекло время ожидания шлюза', 'Вышестоящий сервер не ответил за установленное время.'),
			);

			$return = (!empty($codes[$code])) ? $codes[$code] : array('001', '000 Неизвестная ошибка', 'Произошла неизвестная ошибка.');

			return $return;
		}
		
	}