<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$tk = new token();
$check_values = new filter();

// Определение пришедшего домена, проверка на существование
if ($this->domain['type'] == 'project_subdomain'):
	$get_shop = $db->row("SELECT * FROM shop WHERE domain = ?", array($this->domain['domain']));
elseif ($this->domain['type'] == 'user_domain'):
	$get_domain_shop = $db->row("SELECT * FROM shop_domain WHERE domain = ?", array($this->domain['domain']));

	if ($get_domain_shop):
		$get_shop = $db->row("SELECT * FROM shop WHERE id = ?", array($get_domain_shop['id_shop']));
	else:

		$IDN = new idna_convert();
		$get_domain_shop = $db->row("SELECT * FROM shop_domain WHERE domain = ?", array($IDN->decode($this->domain['domain'])));
		if ($get_domain_shop):
		$get_shop = $db->row("SELECT * FROM shop WHERE id = ?", array($get_domain_shop['id_shop']));
		else:
			header('Location: http://'.DOMAIN.'/');
			exit;
		endif;
		
	endif;

else:
	header('Location: http://'.DOMAIN.'/');
	exit;
endif;
// Определение пришедшего домена, проверка на существование

$get_goods = $db->row("SELECT
  goods.id,
  goods.id_shop,
  goods.name,
  goods.cost_rub,
  goods.cost_usd,
  goods.min_count,
  goods.description,
  goods.ico,
  goods.`position`,
  COUNT(goods_object.id) AS count_object
FROM goods_object
  INNER JOIN goods
    ON goods_object.id_goods = goods.id
WHERE goods.id = ?
AND goods.id_shop = ?", array($_POST['type'], $get_shop['id']));

if (
	!empty($get_goods) and 
  $check_values->check('email','post','email') and 
  $check_values->check('type','post','int',array('min' => 1, 'max' => 9999999999)) and 
  $check_values->check('count','post','int',array('min' => 1, 'max' => 9999999999)) and 
  $check_values->check('paymethod','post','regexp','~^(wmr)|(wmz)|(yandex)|(qiwi)$~') and
  $_POST['count'] >= $get_goods['min_count'] and 
  $get_goods['count_object'] >= $_POST['count']
	):


	if (empty($_POST['icq'])):
		$icq = null;
	else:
		$icq = $_POST['icq'];
	endif;


	// Определяем валюту
	$cash = null;
	if ($_POST['paymethod'] == 'wmz'):
		$get_webmoney = $db->row("SELECT * FROM payment_webmoney WHERE id_shop = ?", array($get_shop['id']));
		if ($get_webmoney):
			$type_sum = $get_goods['cost_usd'] * $_POST['count'];
			$cash = $get_webmoney['wmz'];
		endif;
	elseif ($_POST['paymethod'] == 'wmr'):
		$get_webmoney = $db->row("SELECT * FROM payment_webmoney WHERE id_shop = ?", array($get_shop['id']));
		if ($get_webmoney):
			$type_sum = $get_goods['cost_rub'] * $_POST['count'];
			$cash = $get_webmoney['wmr'];
		endif;
	elseif ($_POST['paymethod'] == 'yandex'):
		$get_yandex = $db->row("SELECT * FROM payment_yandex WHERE id_shop = ?", array($get_shop['id']));
		if ($get_yandex):
			$type_sum = $get_goods['cost_rub'] * $_POST['count'];
			$cash = $get_yandex['login'];
		endif;
	elseif ($_POST['paymethod'] == 'qiwi'):
		$get_qiwi = $db->row("SELECT * FROM payment_qiwi WHERE id_shop = ?", array($get_shop['id']));


/* Проверяем авторизацию через Qiwi, если не прошла - удаляем кошелёк */
	try
	{
	    $qiwi = new QIWI($get_qiwi['login'],$get_qiwi['password']);
	    $auth_qiwi = $qiwi->check_qiwi($get_qiwi['login'],$get_qiwi['password']);
	} catch (Exception $e) {
	    $auth_qiwi = false;
	}


	if (!$auth_qiwi) {
	$text['order'] = '
	<div class="order_popup">
		<h4>Ошибка авторизации через Qiwi кошелёк</h4>
			<table class="table table-striped table-bordered table-hover">
				<tbody>
	            	<tr>
						<td colspan="2" class="attention">
							Нам не удалось проверить информацию о Qiwi кошельке продавца - пожалуйста свяжитесь с продавцом и сообщите ему, что сервис не смог провести авторизацию через его qiwi кошелёк (возможно изменился пароль кошелька).<br />
							Вы можете купить товар оплатив при помощи других платёжных систем, либо в ручном режиме, через продавца.
						</td>
					</tr>
				</tbody>
			</table>
		</form>
	</div>
	';
	echo json_encode($text);
	exit;
	}
/* Проверяем авторизацию через Qiwi, если не прошла - удаляем кошелёк */

		if ($get_qiwi):
			$type_sum = $get_goods['cost_rub'] * $_POST['count'];
			$cash = $get_qiwi['login'];
		endif;
	endif;
	// Определяем валюту

	if (empty($cash)):
		exit;
	endif;


	// Проверяем на наличие скидки
	if (!empty($_POST['discount_code'])):
		$get_discount = $db->row("SELECT * FROM discounts WHERE code = ? AND count > 0", array($_POST['discount_code']));

		if ($get_discount):
			// Разбираем скидочный купон

			$items = unserialize($get_discount['items']);

			// Проверяем принадлежность купона к покупаемому товару
				foreach ($items as $key => $value):
					if ($value == $_POST['type']):
						$coupon = true;
					endif;
				endforeach;
			// Проверяем принадлежность купона к покупаемому товару

			// Если принадлежность была найдена, то формируем сумму со скидкой
				if ($coupon):
					$sum = $type_sum * (100 - $get_discount['percent'])* 0.01; // Итоговая сумма с процентов
					$coup_val = $get_discount['id'];
				else:
					$sum = $type_sum;
					$coup_val = null;
				endif;
			// Если принадлежность была найдена, то формируем сумму со скидкой

			// Разбираем скидочный купон
		else:
			$sum = $type_sum;
			$coup_val = null;
		endif;

	else:
		$sum = $type_sum;
		$coup_val = null;
	endif;
	// Проверяем на наличие скидки

	$date = date("Y-m-d H:i:s");

	$secret = hash('ripemd128',uniqid(rand()));

	$insert_order = $db->insert("INSERT INTO orders (id_shop, id_goods, date, sum, count, method, email, icq, secret, coupon, ip) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)", array($get_shop['id'], $get_goods['id'], $date, $sum, $_POST['count'], $_POST['paymethod'], $_POST['email'], $icq, $secret, $coup_val, $_SERVER['REMOTE_ADDR']));


$text['order'] = '
<div class="order_popup">
	<h4>Оплата <div class="close"></div></h4>
	<form action="/pay/" method="POST" id="pay">
		<input name="order" value="'.$insert_order.'" type="hidden">
		<table class="table table-striped table-bordered table-hover">
			<tbody>
				<tr>
					<td>Товар</td>
					<td class="title">'.$get_goods['name'].'</td>
				</tr>
				<tr>
					<td>Кол-во</td>
					<td>'.$_POST['count'].'</td>
				</tr>
				<tr>
					<td>К оплате</td>
					<td><span class="wow">'.$sum.'</span>  '.$_POST['paymethod'].'</td>
				</tr>
				<tr>
					<td>Кошелек для перевода</td>
					<td><input value="'.$cash.'" class="clipboard form-control" type="text"></td>
				</tr>
				<tr>
					<td>Примечание</td>
					<td><input value="Оплата заказа #'.$insert_order.'" class="clipboard form-control" type="text"></td>
				</tr>
            	<tr>
					<td colspan="2" class="attention">
						Внимание! Очень важно чтобы вы переводили деньги с этим примечанием, иначе средства не будут зачислены автоматически.
					</td>
				</tr>
			</tbody>
		</table>
		<table class="check_pay">
			<tbody>
				<tr>
					<td class="check"></td>
					<td><input class="btn btn-default btn-primary" value="Проверить оплату" type="submit"></td>
				</tr>
			</tbody>
		</table>
	</form>
</div>
';


echo json_encode($text);




else:
$text['errors']['global'] = 'Ошибка! Перезагрузите страницу и попробуйте ещё раз.';
echo json_encode($text);
endif;