<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Вход на сайт';


if (!empty($_GET['action']) and $_GET['action'] == 'logout'):
	unset($_SESSION['auth']);
	header('Location: /main/');
	exit;
endif;

if (!empty($_SESSION['auth'])):
	header('Location: /shops/');
	exit;
endif;

$tk = new token();

$pw = new password(); // Инициализируем чекер пароля
$check_values = new filter();

$err[0] = '';
$err[1] = '';
$err[2] = '';

if (
	!empty($_POST['token']) and 
	$tk->check($_POST['token']) and
	$check_values->check('login','post','regexp','~^[A-Za-z0-9]{1,20}$~') and 
	$check_values->check('password','post','regexp','~^[A-Za-z0-9]{1,20}$~')
	):

	$user = $db->row("SELECT id, login, password FROM user WHERE login = ?", array($_POST['login'])); // Проверяем существование пользователя

	if ($user):
		$check = $pw->check($_POST['password'],$user['password']);

		if ($check):
			// Выполняем авторизацию
			$db->insert("INSERT INTO logs_auth (id_user, ip, user_agent) VALUES (?, ?, ?)", array($user['id'], $_SERVER['REMOTE_ADDR'], $_SERVER['HTTP_USER_AGENT']));
			$_SESSION['auth']['id'] = $user['id'];
			header('Location: /shops/');
			exit;
		else:
			$err[2] = '<div class="input-error error">Неверный логин или пароль</div>';
		endif;

	else:
		$err[2] = '<div class="input-error error">Неверный логин или пароль</div>';
	endif;

endif;

if (
	!empty($_POST['token']) and 
	$tk->check($_POST['token'])
	):

	if (empty($_POST['login'])):
		$err[0] = '<div class="input-error error">Введите логин</div>';
	endif;
	
	if (empty($_POST['password'])):
		$err[1] = '<div class="input-error error">Пароль должен содержать минимум 6 символов</div>';
	endif;

endif;

$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/auth.tpl';