<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Восстановление пароля';


if (!empty($_SESSION['auth'])):
	header('Location: /shops/');
	exit;
endif;

$tk = new token();
$check_values = new filter();


$err[0] = '';
$err[1] = '';

if (empty($_GET['code'])):

	if (
		!empty($_POST['token']) and 
		$tk->check($_POST['token']) and
		$check_values->check('email','post','regexp','~^[A-Za-z0-9@.]{1,20}$~')
		):

		$select_user = $db->row("SELECT * FROM user WHERE login = ? or email = ?", array($_POST['email'], $_POST['email']));

		if (!$select_user):
			$err[0] = '<div class="input-error error">Такой логин или email не найден</div>';
		else:
			$secret = uniqid();
			// Генерируем случайную URL
			$insertrow = $db->insert("INSERT INTO forgot (id_user, secret, ip, status) VALUES (?, ?, ?, ?)", array($select_user['id'], $secret, $_SERVER['REMOTE_ADDR'], 'new'));
			// Генерируем случайную URL

			// Формируем письмо
			$text = 'Привет, '.$select_user['login'].'<br/>'.
					'<br/>'.
					'Чтобы сбросить пароль перейдите по следующей ссылке:<br/>'.
					'<a href="http://'.DOMAIN.'/forgot/code/'.$secret.'/" target="_blank" >http://'.DOMAIN.'/forgot/code/'.$secret.'/</a><br/>'.
					'<br/>'.
					'----------------------------<br/>'.
					'<br/>'.
					'Если вы не сбрасывали свой пароль - проигнорируйте это письмо!';
			// Формируем письмо

			// Отправляем на почту сгенерированную URL
			$for_who = EMAIL_TO_SEND;
			$m = new mail("utf-8"); // начинаем 
			$m->From( $for_who ); // от кого отправляется почта 
			$m->To( $select_user['email'] ); // кому адресованно
			$m->Subject( "Восстановление доступа, этап 1" );
			$m->Body( $text, 'html' );
			$m->Priority(3) ;    // приоритет письма
			$send = $m->Send();
			unset($m);
			// Отправляем на почту сгенерированную URL
			if ($send):
				$err[1] = '<div class="success">На указанный email адрес отправлено письмо с дальнейшими инструкциями.</div>';
			else:
				$err[1] = '<div class="error">Ошибка отправки email - попробуйте позднее.</div>';
			endif;
		endif;

	endif;

else:
	if ($check_values->check('code','get','regexp','~^[A-Za-z0-9]{1,20}$~')):

		$select_forgot = $db->row("SELECT * FROM forgot INNER JOIN user ON forgot.id_user = user.id WHERE forgot.secret = ? AND forgot.status = 'new'", array($_GET['code']));

		if (!$select_forgot):
			$err[1] = '<div class="error">Код не найден или устарел</div>';
		else:
			$opdateforgot = $db->update("UPDATE forgot SET status = 'done' WHERE secret = ? ", array($_GET['code'])); // Обновляем статус кода

			$pw = new password();
			$passw = rand(1000000,9999999);
			$hash = $pw->gen($passw);

			$updatepassword = $db->update("UPDATE user SET password = ? WHERE login = ?", array($hash, $select_forgot['login']));

			// Формируем письмо
			$text = 'Привет, '.$select_forgot['login'].'<br/>'.
					'<br/>'.
					'Ваш новый пароль: '.$passw;
			// Формируем письмо

			// Отправляем на почту новый пароль
			$for_who = EMAIL_TO_SEND;
			$m = new mail("utf-8"); // начинаем 
			$m->From( $for_who ); // от кого отправляется почта 
			$m->To( $select_forgot['email'] ); // кому адресованно
			$m->Subject( "Восстановление доступа, этап 2" );
			$m->Body( $text, 'html' );
			$m->Priority(3) ;    // приоритет письма
			$send = $m->Send();
			unset($m);
			// Отправляем на почту новый пароль

			if ($send):
				$err[1] = '<div class="success">На ваш email адрес отправлен новый пароль.</div>';
			else:
				$err[1] = '<div class="error">Ошибка отправки email - попробуйте позднее.</div>';
			endif;

		endif;
	endif;

endif;

$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/forgot.tpl';