<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Блокировка пользователей по IP';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

$tk = new token();
$check_values = new filter();


$get_shop = $db->row("SELECT * FROM shop WHERE domain = ? AND id_user = ?", array($_GET['shop'], $_SESSION['auth']['id']));


// Блокировка Ip
if (
  !empty($_POST['token']) and 
  $tk->check($_POST['token']) and 
  $check_values->check('ip','post','regexp','~^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$~')
  ):

	if (empty($_POST['reason'])):
		$reason = '-';
	else:
		$reason = $_POST['reason'];
	endif;


  $insertrow = $db->insert("INSERT INTO ban (id_shop, ip, comment) VALUES (?, ?, ?)", array($get_shop['id'], $_POST['ip'], $reason));


endif;
// Блокировка Ip

$ban_list = $db->rows("SELECT * FROM ban WHERE id_shop = ?", array("replace" => array($get_shop['id'])));

$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/shop/ban.tpl';