<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Поднятие магазина в каталоге';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;
$tk = new token();
$check_values = new filter();

$get_shop = $db->row("SELECT * FROM shop WHERE domain = ? AND id_user = ?", array($_GET['shop'], $_SESSION['auth']['id']));
$get_user = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));

// Формируем заявку на поднятие магазина
if (
  !empty($_POST['token']) and 
  $tk->check($_POST['token']) and 
  $check_values->check('paymethod','post','regexp','~^(wmr)|(balance)|(qiwi)|(freekassa)$~')
  ):


		if ($_POST['paymethod'] == 'balance'):

			$get_user = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));

			if ($get_user['balance'] > $cost['catalog_up']):

				// Создаём магазин
					// Достаём информацию о магазине по заявке
						$get_shop = $db->row("SELECT * FROM shop WHERE domain = ?", array($_GET['shop']));
						if (!$get_shop):
							exit;
						endif;
					// Достаём информацию о магазине по заявке

					// Списываем сумму с баланса
						$new_user_balance = $get_user['balance'] - $cost['catalog_up'];
						$db->update("UPDATE user SET balance = ? WHERE id = ?", array($new_user_balance, $_SESSION['auth']['id']));
					// Списываем сумму с баланса

					// Создаём оплаченную заявку
						$db->insert("INSERT INTO shop_payments (id_user, count, sum, type, status, domain, paymethod) VALUES (?, ?, ?, ?, ?, ?, ?)", array($_SESSION['auth']['id'], '1', $cost['catalog_up'], 'Подъём в каталоге', 'Оплачен', $get_shop['domain'], $_POST['paymethod']));
					// Создаём оплаченную заявку

					// Определяем максимальную позицию для каталога
						$catalog_position = $db->row("SELECT max(catalog_position) as max FROM shop");
						if (!$catalog_position):
							$catalog_position = 0;
						else:
							$catalog_position = $catalog_position['max'] + 1;
						endif;
					// Определяем максимальную позицию для каталога

						$db->update("UPDATE shop SET catalog_position = ? WHERE domain = ?", array($catalog_position, $get_shop['domain']));

						header('Location: /shops/');
						exit;
				// Создаём магазин
			endif;


		else:
			$insertrow = $db->insert("INSERT INTO shop_payments (id_user, count, sum, type, status, domain, paymethod) VALUES (?, ?, ?, ?, ?, ?, ?)", array($_SESSION['auth']['id'], '1', $cost['catalog_up'], 'Подъём в каталоге', 'Не оплачен', $get_shop['domain'], $_POST['paymethod']));
			header('Location: /shops/order/'.$insertrow.'/');
			exit;
		endif;





endif;
// Формируем заявку на поднятие магазина



$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/shop/catalog.tpl';