<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Список товаров';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

$get_shop = $db->row("SELECT * FROM shop WHERE domain = ? AND id_user = ?", array($_GET['shop'], $_SESSION['auth']['id']));

$get_goods = $db->rows("SELECT
  goods.name,
  goods.ico,
  goods.cost_usd,
  goods.cost_rub,
  goods.description,
  goods.`position`,
  goods.id
FROM goods
WHERE goods.id_shop = ?
GROUP BY goods.ico,
         goods.id
ORDER BY goods.`position`", array("replace" => array($get_shop['id'])));


// Вычисляем число непроданных товаров
foreach ($get_goods as $key => $value):
  $count_q = $db->row("SELECT count(id) as count FROM goods_object WHERE id_goods = ? AND id_orders IS NULL", array($value['id']));
  $get_goods[$key]['count'] = $count_q['count'];
endforeach;
// Вычисляем число непроданных товаров


$get_separators = $db->rows("SELECT
  separators.id,
  separators.name,
  separators.`position`
FROM separators
WHERE separators.id_shop = ?", array("replace" => array($get_shop['id'])));


if (!empty($get_goods) or !empty($get_separators)):
  // Объеденение массивов и сортировка
  $items = array_merge($get_goods,$get_separators);
  foreach($items as $key=>$value){
  	$data_position[$key]=$value['position'];
  }
  array_multisort($data_position, SORT_NUMERIC, $items);
  // Объеденение массивов и сортировка
endif;


require $_SERVER["DOCUMENT_ROOT"].'/template/general/shop/goods.tpl';