<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Управление текстами на главной странице';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;
$tk = new token();

$get_shop = $db->row("SELECT * FROM shop WHERE domain = ? AND id_user = ?", array($_GET['shop'], $_SESSION['auth']['id']));
$err[0] = '';

// Перезаписываем информацию
if (
  !empty($_POST['token']) and 
  $tk->check($_POST['token'])
  ):


if (!empty($_POST['title'])):
	$meta_title = $_POST['title'];
else:
	$meta_title = null;
endif;


if (!empty($_POST['meta_description'])):
	$meta_description = $_POST['meta_description'];
else:
	$meta_description = null;
endif;

if (!empty($_POST['meta_keywords'])):
	$meta_keywords = $_POST['meta_keywords'];
else:
	$meta_keywords = null;
endif;

if (!empty($_POST['favicon'])):
	$meta_favicon = $_POST['favicon'];
else:
	$meta_favicon = null;
endif;

if (!empty($_POST['text_top'])):
	$texts_above = $_POST['text_top'];
else:
	$texts_above = null;
endif;

if (!empty($_POST['text_bottom'])):
	$texts_below = $_POST['text_bottom'];
else:
	$texts_below = null;
endif;

if (!empty($_POST['text_scripts'])):
	$texts_scripts = $_POST['text_scripts'];
else:
	$texts_scripts = null;
endif;

if (!empty($_POST['template'])):
	
	if ($_POST['template'] == 'deer' or $_POST['template'] == 'light'):
		$template_post = $_POST['template'];
	endif;

else:
	$template_post = 'deer';
endif;

if (!empty($_POST['icq_contact'])):
	
	if ($_POST['icq_contact'] == 'off'):
		$icq_contact_post = 'off';
	else:
		$icq_contact_post = 'on';
	endif;

else:
	$icq_contact_post = 'on';
endif;




	$updaterow = $db->update(
		"UPDATE template SET meta_title = ?, 
	meta_description = ?, 
	meta_keywords = ?, 
	meta_favicon = ?, 
	texts_above = ?, 
	texts_below = ?, 
	texts_scripts = ?, 
	template = ?, 
	icq_contact = ?
	WHERE id_shop = ?", 
	array(
		$meta_title, 
		$meta_description, 
		$meta_keywords, 
		$meta_favicon, 
		$texts_above, 
		$texts_below, 
		$texts_scripts, 
		$template_post,
		$icq_contact_post, 
		$get_shop['id']
		)
	);

$err[0] = '<div class="success">Настройки успешно сохранены</div>';

endif;
// Перезаписываем информацию


$get_template = $db->row("SELECT * FROM template WHERE id_shop = ?", array($get_shop['id']));

$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/shop/texts.tpl';