<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Создание магазина';


if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

$err[0] = '';
$err[1] = '';



$tk = new token();

$check_values = new filter();


$get_user = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));

// Создание
if (
	!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	$check_values->check('alias','post','regexp','~^[A-Za-z0-9-]{3,15}$~') and 
	$check_values->check('period','post','int',array('min' => 1, 'max' => 12)) and 
	$check_values->check('paymethod','post','regexp','~^(wmr)|(wmz)|(qiwi)|(balance)|(freekassa)$~') and 
	$_POST['alias'] != 'domain'
	):

	$alias = strtolower($_POST['alias']);

	$get_shop_pay = $db->row("SELECT * FROM shop WHERE domain = ?", array($alias));
	$get_shop_notpay = $db->row("SELECT * FROM shop_payments WHERE domain = ? AND status = 'Не оплачен'", array($alias));


	if (WM_PAY != 1 and ($_POST['paymethod'] == 'wmz' or $_POST['paymethod'] == 'wmr')):
		header('Location: /');
		exit;
	endif;

	if (QIWI_PAY != 1 and $_POST['paymethod'] == 'qiwi'):
		header('Location: /');
		exit;
	endif;

	if (FREEKASSA_PAY != 1 and $_POST['paymethod'] == 'freekassa'):
		header('Location: /');
		exit;
	endif;

	if (!$get_shop_pay and !$get_shop_notpay):


		// Рассчёт стоимости
		if ($_POST['period'] > 0 and $_POST['period'] < 3):
			$cost_per_mounth = $cost[1];
		elseif ($_POST['period'] > 2 and $_POST['period'] < 6):
			$cost_per_mounth = $cost[3];
		elseif ($_POST['period'] > 5):
			$cost_per_mounth = $cost[6];
		endif;
		
		$cost_per_count = $cost_per_mounth * $_POST['period'];

		if ($_POST['paymethod'] == 'wmr' or $_POST['paymethod'] == 'qiwi' or $_POST['paymethod'] == 'balance' or $_POST['paymethod'] == 'freekassa'):
			$sum = number_format($cost_per_count, 2, '.', '');
		elseif ($_POST['paymethod'] == 'wmz'):
			$sum = number_format($cost_per_count / $cost['dollar'], 2, '.', '');
		endif;
		// Рассчёт стоимости

		if ($_POST['paymethod'] == 'balance'):

			$get_user = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));

			if ($get_user['balance'] >= $sum):

				// Создаём магазин
					// Списываем сумму с баланса
						$new_user_balance = $get_user['balance'] - $sum;
						$db->update("UPDATE user SET balance = ? WHERE id = ?", array($new_user_balance, $_SESSION['auth']['id']));
					// Списываем сумму с баланса

					// Создаём оплаченную заявку
						$insertrow = $db->insert("INSERT INTO shop_payments (id_user, count, sum, type, status, domain, paymethod) VALUES (?, ?, ?, ?, ?, ?, ?)", array($_SESSION['auth']['id'], $_POST['period'], $sum, 'Регистрация', 'Оплачен', $alias, $_POST['paymethod']));
					// Создаём оплаченную заявку

					// Ищем реферала, если есть, то ставим на аккаунт "Оплачено"
						// При оплате с балансе реферальские деньги не начисляем
						// Оплата через платёжки происходит в 'ajax/checkpay.php'
						$get_refs = $db->row("SELECT * FROM user_referal WHERE id_user_newreg = ? AND status = 'new'", array($_SESSION['auth']['id']));
						if ($get_refs):
							$db->update("UPDATE user_referal SET status = 'payed' WHERE id = ?", array($get_refs['id']));
						endif;
					// Ищем реферала, если есть, то ставим на аккаунт "Оплачено"

					// Рассчитываем время окончания аренды магазина
						$date = time();
						$sec_per_month = date("t")*86400;
						$sec_per_all_mounths = $sec_per_month * $_POST['period'];
						$final_date = date("Y-m-d H:i:s",$date + $sec_per_all_mounths);
					// Рассчитываем время окончания аренды магазина

					// Определяем максимальную позицию для каталога
						$catalog_position = $db->row("SELECT min(catalog_position) as max FROM shop");
						if (!$catalog_position):
							$catalog_position = 1;
						else:
							$catalog_position = $catalog_position['max'] - 1;
						endif;
					// Определяем максимальную позицию для каталога
						$insert_shop = $db->insert("INSERT INTO shop (id_user, domain, date, status, catalog_position) VALUES (?, ?, '$final_date', 'Работает', '$catalog_position')", array($_SESSION['auth']['id'], $alias));
						$db->insert("INSERT INTO template (id_shop) VALUES (?)", array($insert_shop));
						header('Location: /shops/');
						exit;
				// Создаём магазин
			endif;


		else:
			$insertrow = $db->insert("INSERT INTO shop_payments (id_user, count, sum, type, status, domain, paymethod) VALUES (?, ?, ?, ?, ?, ?, ?)", array($_SESSION['auth']['id'], $_POST['period'], $sum, 'Регистрация', 'Не оплачен', $alias, $_POST['paymethod']));
			header('Location: /shops/order/'.$insertrow.'/');
			exit;
		endif;

	elseif ($get_shop_pay):
		$err[0] = '<div class="input-error error">Домен занят</div>';
	endif;

	if ($get_shop_notpay):
		$err[1] = '<div class="input-error error">Домен занят, но еще не оплачен</div>';
	endif;

endif;
// Создание


$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/shopscreate.tpl';