<?php
if (!defined("CHECK")) die( header('Location: /404/') );
$this->title = 'Система технической поддержки';

if (empty($_SESSION['auth'])):
	header('Location: /auth/');
	exit;
endif;

if (!in_array($_SESSION['auth']['id'], $moderators)):
	header('Location: /tickets/');
	exit;
endif;

$tk = new token();

$ticket = $db->row("SELECT * FROM tickets WHERE id = ?", array($_GET['id']));

if (empty($ticket)):
	header('Location: /tickets/');
	exit;
endif;


$moderator_login = $db->row("SELECT * FROM user WHERE id = ?", array($_SESSION['auth']['id']));

// Добавляем сообщение
if (!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	!empty($_POST['message']) and 
	$ticket['status'] == 'Открыт'):
	$db->insert("INSERT INTO tickets_messages (id_tickets, date, message, type, moderator_login) VALUES (?, ?, ?, ?, ?)", array($ticket['id'], date("Y-m-d H:i:s"), nl2br(htmlspecialchars($_POST['message'])), 'Модератор', $moderator_login['login']));
endif;
// Добавляем сообщение

// Закрываем
if (!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	!empty($_POST['close']) and 
	$ticket['status'] == 'Открыт'):
	$db->update("UPDATE tickets SET status = 'Закрыт' WHERE id = ?", array($ticket['id']));
	$ticket = $db->row("SELECT * FROM tickets WHERE id = ?", array($_GET['id']));
endif;
// Закрываем

// Открываем
if (!empty($_POST['token']) and 
	$tk->check($_POST['token']) and 
	!empty($_POST['open']) and 
	$ticket['status'] == 'Закрыт'):
	$db->update("UPDATE tickets SET status = 'Открыт' WHERE id = ?", array($ticket['id']));
	$ticket = $db->row("SELECT * FROM tickets WHERE id = ?", array($_GET['id']));
endif;
// Открываем

$ticket_messages = $db->rows("SELECT * FROM tickets_messages WHERE id_tickets = ?", array("replace" => array($ticket['id'])));

$token = $tk->input();
require $_SERVER["DOCUMENT_ROOT"].'/template/general/ticketsshowadmin.tpl';