<?php
/**
*
* Главная страница самого магазина
*
*
*
*/
if (!defined("CHECK")) die( header('Location: /404/') );

// Статистика
	$date_statistics = date('Y.m.d');
	$remote_ip = $_SERVER['REMOTE_ADDR'];

	$get_statistics = $db->rows("SELECT * FROM statistics WHERE id_shop = ? AND date = ? AND ip = ?", array("replace" => array($get_shop['id'], $date_statistics, $remote_ip)));

	if (empty($get_statistics['0'])):
		$db->insert("INSERT INTO statistics (id_shop, date, count, ip) VALUES (?, ?, ?, ?)", array($get_shop['id'], $date_statistics, '1', $remote_ip));
	else:
		$statistics_new_count = $get_statistics['0']['count'] + 1;
		$db->update("UPDATE statistics SET count = ? WHERE id = ?", array($statistics_new_count, $get_statistics['0']['id']));
	endif;
// Статистика





$tk = new token();

$get_discounts = $db->rows("SELECT * FROM discounts WHERE id_shop = ? ORDER BY id DESC", array("replace" => array($get_shop['id'])));

$get_goods = $db->rows("SELECT goods.name, goods.ico, goods.cost_usd, goods.cost_rub, goods.min_count, goods.description, goods.`position`, goods.id FROM goods WHERE goods.id_shop = ? GROUP BY goods.ico, goods.id ORDER BY goods.`position`", array("replace" => array($get_shop['id'])));

// Вычисляем число непроданных товаров
foreach ($get_goods as $key => $value):
  $count_q = $db->row("SELECT count(id) as count FROM goods_object WHERE id_goods = ? AND id_orders IS NULL", array($value['id']));
  $get_goods[$key]['count'] = $count_q['count'];
endforeach;
// Вычисляем число непроданных товаров

$get_separators = $db->rows("SELECT separators.id, separators.name, separators.`position` FROM separators WHERE separators.id_shop = ?", array("replace" => array($get_shop['id'])));

if (!empty($get_goods) or !empty($get_separators)):
  // Объеденение массивов и сортировка
  $items = array_merge($get_goods,$get_separators);
  foreach($items as $key=>$value){
  	$data_position[$key]=$value['position'];
  }
  array_multisort($data_position, SORT_NUMERIC, $items);
  // Объеденение массивов и сортировка
endif;

$err[0] = '';

$ban_list = $db->rows("SELECT * FROM ban WHERE id_shop = ?", array("replace" => array($get_shop['id'])));
foreach ($ban_list as $key => $value):
  if ($value['ip'] == $_SERVER['REMOTE_ADDR']):
      $err[0] = 'Вы забанены в этом магазине';
    endif;
endforeach;

if ($get_shop['status'] == 'Заблокирован'):
  $err[0] = 'Магазин заблокирован';
endif;

if (strtotime($get_shop['date']) < time()):
  $err[0] = 'Магазин не оплачен';
endif;




$get_webmoney = $db->row("SELECT * FROM payment_webmoney WHERE id_shop = ?", array($get_shop['id']));
$get_yandex = $db->row("SELECT * FROM payment_yandex WHERE id_shop = ?", array($get_shop['id']));
$get_qiwi = $db->row("SELECT * FROM payment_qiwi WHERE id_shop = ?", array($get_shop['id']));






if ($err[0]):

echo '<style type="text/css">
.popup {margin:150px auto 0;width:300px;background:#c10250;color:#fff;border-radius:20px;padding:10px 40px;}
.popup h4 {color:#fff;text-align:center;}
</style>';

echo '<div class="popup">
  <h4>'.$err[0].'</h4>
</div>';

else:
  $token = $tk->input();

  require $_SERVER["DOCUMENT_ROOT"].'/template/shop/'.$get_template['template'].'/main.tpl';
endif;