$(function(){
    $('input.clipboard').on('click', function(){
        this.select();
    });

    $('#check_pay').on('submit', function(event){
        $('.right').html('');

        var link = $(this).attr('action');

        $.post(link, $(this).serialize(), function(json){
            if (json.ok)
            {
                yaCounter23211493.reachGoal('SHOP_PAYED');
                window.location.href = '/shops/';
            }
            else
            if (json.errors.global)
            {
                $('.right').html('<div class="error">' + json.errors.global + '</div>')
            }
        }, 'json');

        event.preventDefault();
    });

    $('.downloadN').on('click', function(){
        var count = parseInt(prompt('Сколько аккаунтов вы хотите скачать?'));
        if (count > 0)
        {
            window.open(this.href + count + '/?rnd=' + Math.floor(Math.random() * 99999999999));
        }

        return false;
    });

    $(document).on('click', '#select_all', function() {
        var checkboxes = $(this).closest('form').find(':checkbox').not($(this));
        if($(this).is(':checked')) {
            checkboxes.prop('checked', 'checked');
        } else {
            checkboxes.prop('checked', false);
        }
    });

    /**
     * Проверка заказа в админке
     */
    $(document).on('click', '.check_order', function(event){
        var link = $(this).attr('href');

        $.post(link, {}, function(json){
            if (json.ok)
            {
                alert(json.url);
            }
            else
            if (json.errors)
            {
                alert(json.errors.global);
            }
        }, 'json');

        event.preventDefault();
    });

    /**
     * Добавление разделителя на странице товаров
     */
    $(document).on('click', '#separator_add', function(event){
        var separator = prompt('Введите название разделителя');

        $.post($(this).attr('href'), {'name' : separator}, function(json){
            if (json.name)
            {
                $('#sortable tbody').append('<tr id="position_separator' + json.id + '"><td colspan="10" class="separator">' + json.name + '</td><td><a href="' + json.url + 'separator/remove/" data-id="' + json.id + '" class="remove_separator"><img src="/static/images/icons/goods.remove.png" alt="Удалить разделитель" class="icon" /></a></td></tr>');
            }
            else
            if (json.errors)
            {
                console.log(json.errors);
            }
        }, 'json');

        event.preventDefault();
    });

    /**
     * Удаление разделителя на странице товаров
     */
    $(document).on('click', '.remove_separator', function(event){
        var id = $(this).attr('data-id');

        $.post($(this).attr('href'), { 'id' : id }, function(json){
            if (json.ok)
            {
                $('#position_separator' + id).remove();
            }
        }, 'json');

        event.preventDefault();
    });

    /**
     * Обратная связь
     */
    $(document).on('change', '.feedback select[name=type]', function(event){
        if ($(this).val() == 4)
        {
            $('tr.claim').show();
        }
        else
        {
            $('tr.claim').hide();
        }


        event.preventDefault();
    });

});